- entry_type: "violation_sequence"
  metadata:
    format_version: "2.0"
    uuid: eee5c768-15ec-4402-8b2b-1688ae5b1f6b
    creation_time: "2024-04-29T13:13:07+02:00"
    producer:
      name: "Paulina"
      version: "thesis"
    task:
      input_files:
      - "if.c"
      input_file_hashes:
        if.c: 193e41d697ceee456b790508abcf50d7c58b4dd453c27da8487c0ee10a7c9e82
      specification: "G ! call(reach_error())"
      data_model: "LP64"
      language: "C"
  content:
  - segment:
    - waypoint:
        type: "branching"
        action: "follow"
        constraint:
          value: "true"
        location:
          file_name: "if.c"
          line: 17
  - segment:
    - waypoint:
        type: "branching"
        action: "follow"
        constraint:
          value: "true"
        location:
          file_name: "if.c"
          line: 20
          column: 5
  - segment:
    - waypoint:
        type: "branching"
        action: "follow"
        constraint:
          value: "true"
        location:
          file_name: "if.c"
          line: 22
  - segment:
    - waypoint:
        type: "target"
        action: "follow"
        location:
          file_name: "if.c"
          line: 23
          column: 13

